<form action="/scan"
      method="post"
      id="scanForm"
      {% if not scanners_updated %}hidden{% endif %}>
  <fieldset id="scanFormFieldset">
    <div class="row">
      <div class="input-group">
        <a href="/main?reset_scanners=true"
           class="btn btn-default"
           role="button">
          <svg xmlns="http://www.w3.org/2000/svg"
               width="16"
               height="16"
               fill="currentColor"
               class="bi bi-arrow-clockwise"
               viewBox="0 0 16 16">
            <path fill-rule="evenodd"
                  d="M8 3a5 5 0 1 0 4.546 2.914.5.5 0 0 1 .908-.417A6 6 0 1 1 8 2z">
            </path>
            <path
              d="M8 4.466V.534a.25.25 0 0 1 .41-.192l2.36 1.966c.12.1.12.284 0 .384L8.41 4.658A.25.25 0 0 1 8 4.466">
            </path>
          </svg>
          Refresh scanners
        </a>
        <select title="Choose scanner device"
                name="device_name"
                class="form-select"
                id="scannerList">
          <option value="chooseScanner">
            Choose scanner device...
          </option>
          {% if scanners %}
            {% for scanner in scanners %}
              <option
                value="{{ scanner.device_name }}"
                {% if selected_scanner == scanner.device_name %}
                  selected
                {% endif %}
              >{{ scanner.title }}</option>
            {% endfor %}
          {% endif %}
        </select>
        <button class="btn btn-default"
                formaction="/reextract"
                id="reExtractBtn"
                {% if not temp_file_exists %}disabled{% endif %}>
          <svg xmlns="http://www.w3.org/2000/svg"
               width="16"
               height="16"
               fill="currentColor"
               class="bi bi-card-image"
               viewBox="0 0 16 16">
            <path d="M6.002 5.5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0"/>
            <path d="M1.5 2A1.5 1.5 0 0 0 0 3.5v9A1.5
                     1.5 0 0 0 1.5 14h13a1.5 1.5 0 0 0
                     1.5-1.5v-9A1.5 1.5 0 0 0 14.5 2zm13
                     1a.5.5 0 0 1 .5.5v6l-3.775-1.947a.5.5
                     0 0 0-.577.093l-3.71 3.71-2.66-1.772a.5.5
                     0 0 0-.63.062L1.002 12v.54L1 12.5v-9a.5.5
                     0 0 1 .5-.5z"/>
          </svg>
          Re-extract
        </button>
        <button id="scanBtn"
                class="btn btn-default"
                type="submit"
                {% if not scanners %}disabled{% endif %}>
          Scan
        </button>
      </div>
    </div>
    <div class="row">
      <div class="accordion accordion-flush" id="accordionAdvanced">
        <div class="accordion-item">
          <h2 class="accordion-header" id="headingAdvanced">
            <button class="accordion-button {{"collapsed" if not accordion }}"
                    type="button"
                    data-bs-toggle="collapse"
                    data-bs-target="#collapseAdvanced"
                    aria-expanded="true"
                    aria-controls="collapseAdvanced">
              Advanced
            </button>
          </h2>
          <div id="collapseAdvanced"
               class="accordion-collapse collapsed collapse {{"show" if accordion }}"
               aria-labelledby="headingOne"
               data-bs-parent="#collapseAdvanced">
            <div class="accordion-body">
              <label for="backgroundThreshholdInput"
                     class="form-label">
                Background threshold:
                <span id="backgroundThreshholdVal"></span>
              </label>
              <input name="background_threshold"
                     type="range"
                     class="form-range"
                     id="backgroundThreshholdInput"
                     min="0"
                     max="255"
                     value="{{ advanced_params.background_threshold }}">
              <label for="minAspectRatioInput"
                     class="form-label">
                Min aspect ratio:
                <span id="minAspectRatioVal"></span>
              </label>
              <input name="min_aspect_ratio"
                     type="range"
                     class="form-range"
                     id="minAspectRatioInput"
                     min="0.1"
                     max="5"
                     step="0.1"
                     value="{{ advanced_params.min_aspect_ratio }}">
              <label for="maxAspectRatioInput"
                     class="form-label">
                Max aspect ratio: <span id="maxAspectRatioVal"></span>
              </label>
              <input name="max_aspect_ratio"
                     type="range"
                     class="form-range"
                     id="maxAspectRatioInput"
                     min="0.1"
                     max="5"
                     step="0.1"
                     value="{{ advanced_params.max_aspect_ratio }}">
              <label for="minPhotoAreaInput"
                     class="form-label">
                Min photo area (px):
                <span id="minPhotoAreaVal"></span>
              </label>
              <input name="min_photo_area"
                     type="range"
                     class="form-range"
                     id="minPhotoAreaInput"
                     min="50000"
                     max="10000000"
                     step="5000"
                     value="{{ advanced_params.min_photo_area }}">
              <label for="erodeIterationsInput"
                     class="form-label">
                Erode iterations:
                <span id="erodeIterationsVal"></span>
              </label>
              <input name="erode_iterations"
                     type="range"
                     class="form-range"
                     id="erodeIterationsInput"
                     min="0"
                     max="8"
                     step="1"
                     value="{{ advanced_params.erode_iterations }}">
              <div class="input-group justify-content-end">
                <button type="submit"
                        formaction="/extract_config/reset"
                        class="btn btn-default">
                  Reset to default
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </fieldset>
</form>
